# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.maps
Class MapEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<MapEntry>
                      com.google.gdata.data.maps.MapEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry

    public class MapEntry

extends MediaEntry<MapEntry>

Describes a map entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Map map category kind category.
`static java.lang.String` `KIND` Map map category kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MapEntry()` Default mutable constructor.
`MapEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `addCustomProperty(CustomProperty customProperty)` Adds a new custom property.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Link` `getAtomAlternateLink()` Returns the link that provides the URI of an alternate format of the entry's or feed's contents.
`Link` `getAtomFeedLink()` Returns the link that provides the URI of the full feed (without any query parameters).
`BatchId` `getBatchId()` Returns the batch identifier.
`BatchInterrupted` `getBatchInterrupted()` Returns the batch interruption information.
`BatchOperation` `getBatchOperation()` Returns the batch operation.
`BatchStatus` `getBatchStatus()` Returns the batch response status information.
`java.util.List<CustomProperty>` `getCustomProperties()` Returns the custom properties.
`Deleted` `getDeleted()` Returns the marker for deleted entries.
`java.net.URL` `getFeatureFeedUrl()` Gets the URL of the enclosed feature feed.
`FeedLink` `getFeedLink()` Returns the nested feed link.
`ResourceId` `getResourceId()` Returns the resource id.
`Link` `getViewLink()` Gets the URL of the view projection of the feature feed.
`boolean` `hasBatchId()` Returns whether it has the batch identifier.
`boolean` `hasBatchInterrupted()` Returns whether it has the batch interruption information.
`boolean` `hasBatchOperation()` Returns whether it has the batch operation.
`boolean` `hasBatchStatus()` Returns whether it has the batch response status information.
`boolean` `hasCustomProperties()` Returns whether it has the custom properties.
`boolean` `hasDeleted()` Returns whether it has the marker for deleted entries.
`boolean` `hasFeedLink()` Returns whether it has the nested feed link.
`boolean` `hasResourceId()` Returns whether it has the resource id.
`void` `setBatchId(BatchId batchId)` Sets the batch identifier.
`void` `setBatchInterrupted(BatchInterrupted batchInterrupted)` Sets the batch interruption information.
`void` `setBatchOperation(BatchOperation batchOperation)` Sets the batch operation.
`void` `setBatchStatus(BatchStatus batchStatus)` Sets the batch response status information.
`void` `setDeleted(Deleted deleted)` Sets the marker for deleted entries.
`void` `setFeedLink(FeedLink feedLink)` Sets the nested feed link.
`void` `setResourceId(ResourceId resourceId)` Sets the resource id.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Field Detail

### KIND

    public static final java.lang.String KIND

  Map map category kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Map map category kind category.

Constructor Detail

### MapEntry

    public MapEntry()

  Default mutable constructor.

### MapEntry

    public MapEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getBatchId

    public BatchId getBatchId()

  Returns the batch identifier.

  Returns:
    batch identifier

### setBatchId

    public void setBatchId(BatchId batchId)

  Sets the batch identifier.

  Parameters:
    `batchId` - batch identifier or `null` to reset

### hasBatchId

    public boolean hasBatchId()

  Returns whether it has the batch identifier.

  Returns:
    whether it has the batch identifier

### getBatchInterrupted

    public BatchInterrupted getBatchInterrupted()

  Returns the batch interruption information.

  Returns:
    batch interruption information

### setBatchInterrupted

    public void setBatchInterrupted(BatchInterrupted batchInterrupted)

  Sets the batch interruption information.

  Parameters:
    `batchInterrupted` - batch interruption information or `null` to reset

### hasBatchInterrupted

    public boolean hasBatchInterrupted()

  Returns whether it has the batch interruption information.

  Returns:
    whether it has the batch interruption information

### getBatchOperation

    public BatchOperation getBatchOperation()

  Returns the batch operation.

  Returns:
    batch operation

### setBatchOperation

    public void setBatchOperation(BatchOperation batchOperation)

  Sets the batch operation.

  Parameters:
    `batchOperation` - batch operation or `null` to reset

### hasBatchOperation

    public boolean hasBatchOperation()

  Returns whether it has the batch operation.

  Returns:
    whether it has the batch operation

### getBatchStatus

    public BatchStatus getBatchStatus()

  Returns the batch response status information.

  Returns:
    batch response status information

### setBatchStatus

    public void setBatchStatus(BatchStatus batchStatus)

  Sets the batch response status information.

  Parameters:
    `batchStatus` - batch response status information or `null` to reset

### hasBatchStatus

    public boolean hasBatchStatus()

  Returns whether it has the batch response status information.

  Returns:
    whether it has the batch response status information

### getCustomProperties

    public java.util.List<CustomProperty> getCustomProperties()

  Returns the custom properties.

  Returns:
    custom properties

### addCustomProperty

    public void addCustomProperty(CustomProperty customProperty)

  Adds a new custom property.

  Parameters:
    `customProperty` - custom property

### hasCustomProperties

    public boolean hasCustomProperties()

  Returns whether it has the custom properties.

  Returns:
    whether it has the custom properties

### getDeleted

    public Deleted getDeleted()

  Returns the marker for deleted entries.

  Returns:
    marker for deleted entries

### setDeleted

    public void setDeleted(Deleted deleted)

  Sets the marker for deleted entries.

  Parameters:
    `deleted` - marker for deleted entries or `null` to reset

### hasDeleted

    public boolean hasDeleted()

  Returns whether it has the marker for deleted entries.

  Returns:
    whether it has the marker for deleted entries

### getFeedLink

    public FeedLink getFeedLink()

  Returns the nested feed link.

  Returns:
    nested feed link

### setFeedLink

    public void setFeedLink(FeedLink feedLink)

  Sets the nested feed link.

  Parameters:
    `feedLink` - nested feed link or `null` to reset

### hasFeedLink

    public boolean hasFeedLink()

  Returns whether it has the nested feed link.

  Returns:
    whether it has the nested feed link

### getResourceId

    public ResourceId getResourceId()

  Returns the resource id.

  Returns:
    resource id

### setResourceId

    public void setResourceId(ResourceId resourceId)

  Sets the resource id.

  Parameters:
    `resourceId` - resource id or `null` to reset

### hasResourceId

    public boolean hasResourceId()

  Returns whether it has the resource id.

  Returns:
    whether it has the resource id

### getAtomAlternateLink

    public Link getAtomAlternateLink()

  Returns the link that provides the URI of an alternate format of the entry's or feed's contents.

  Returns:
    Link that provides the URI of an alternate format of the entry's or feed's contents or `null` for none.

### getAtomFeedLink

    public Link getAtomFeedLink()

  Returns the link that provides the URI of the full feed (without any query parameters).

  Returns:
    Link that provides the URI of the full feed (without any query parameters) or `null` for none.

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getFeatureFeedUrl

    public java.net.URL getFeatureFeedUrl()

  Gets the URL of the enclosed feature feed.

  Returns:
    URL to the enclosed feed or `null`

### getViewLink

    public Link getViewLink()

  Gets the URL of the view projection of the feature feed.

  Returns:
    URL of the view projection of the feature feed or `null`